#1700 basic unicode support patch for msys-1.18-1

MSYS
assigned
Cesar Strauss
Feature
rejected
Unknown
True
2013-05-07
2013-02-07
ralph engels
No

Based on kbless basic unicode support patchset from msysgit, Credits for the initial work belongs to him.

Changes.
Rearranged some of the new api headers because of build problems otherwise.
Changed newlibs local.h to not include wchar.h because its not imported correctly that early in the build and causes errors
with mbstate_t not being defined properly. Moved a local copy of the wchar.h contents to local.h instead.
Added stdint.h and inttypes.h from cygwin 1.5 and fixed guards so the inttypes dont conflict with the ones in sys/types.h and machine/types.h .
Added network interfaces from cygwin 1.5.
Added strtoll and strtoull from cygwin 1.5.
Added the kill.exe function from msysgit.
Removed the strtoull compat function from kill.exe (no longer nessesary with new support).
Removed newlib.h from kbless patch (was not used anywhere).
Removed the unicode function wrappers from kbless patch since atleast gcc 3.4.4 and later cannot compile it,
besides it seems to work just as well without them.
Added nl_langinfo support (experimental may remove if it behaves abnormally).
Fixed a few weak exports from msys pthread functions.
Fixed a bunch of stuff to allow compiling the msys dll with gcc version 4 (cygcheck still links to libstdc++ investigating why).
Changed a few math functions from newlib to use _Ulong instead of _uint32_t (cygwin 1.5).

Big thanks to kbless for the initiall patch it helped a lot.

The folder inside this archive contains a batch script + some tools needed to patch an unmodified source dir
from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive.
besides unpacking the source its all automated so it should be pretty straight forward.

unpack this archive somewhere and extract the source directory from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive,
to where you unpacked this. Now run patcher.bat (just doubleclick it) and follow the directions.
Now unpack msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma where you want to build it and replace the source dir inside it with the patched one from here.
Open an msys shell (you need the msysdev package) and be sure its set to MSYS. Cd to the dir where the builddir is and run
./msysrlsbld. When done you should have a bunch of tar archives and an nstl directory. Close the msys shell and copy the contents of the nstl dir
to where your msys is installed. Open a shell again and try building something with multibyte support.

Revelator

1 Attachments

Related

Issues: #1700

Discussion

  • Earnie Boyd
    Earnie Boyd
    2013-02-07

    • labels: basic unicode support --> unicode, locale, codepage
    • status: unread --> assigned
    • assigned_to: Cesar Strauss
    • category: Future_MSYS_enhancement --> Unknown
     
  • Earnie Boyd
    Earnie Boyd
    2013-02-07

    • labels: unicode, locale, codepage --> unicode, locale, code page
     
  • ralph engels
    ralph engels
    2013-02-09

    Fixed the wrapper code, problem was that macros depended on the utftowcns function which should have been imported from unicode.h but somehow it was not. i split the utf wrapper code into a seperate wrapper.c file and added it to makefile.in and it works now.

    preparing a small patch.

     
  • Earnie Boyd
    Earnie Boyd
    2013-02-09

    Can you attach the patch as plain text file? If you must compress it please use bzip2 or xz instead of 7z.

     
  • ralph engels
    ralph engels
    2013-02-09

    Sure here you go.

     
    Attachments
  • ralph engels
    ralph engels
    2013-02-09

    Sure its only two files that need modifying :) makefile.in and the new
    file wrapper.c.

    Den 09-02-2013 18:30, Earnie Boyd skrev:

    Can you attach the patch as plain text file? If you must compress it
    please use bzip2 or xz instead of 7z.


    [bugs:#1700] http://sourceforge.net/p/mingw/bugs/1700/ basic
    unicode support patch for msys-1.18-1

    Status: assigned
    Labels: unicode locale code page
    Created: Thu Feb 07, 2013 09:05 PM UTC by ralph engels
    Last Updated: Sat Feb 09, 2013 12:20 PM UTC
    Owner: Cesar Strauss

    Based on kbless basic unicode support patchset from msysgit, Credits
    for the initial work belongs to him.

    Changes.
    Rearranged some of the new api headers because of build problems
    otherwise.
    Changed newlibs local.h to not include wchar.h because its not
    imported correctly that early in the build and causes errors
    with mbstate_t not being defined properly. Moved a local copy of the
    wchar.h contents to local.h instead.
    Added stdint.h and inttypes.h from cygwin 1.5 and fixed guards so the
    inttypes dont conflict with the ones in sys/types.h and machine/types.h .
    Added network interfaces from cygwin 1.5.
    Added strtoll and strtoull from cygwin 1.5.
    Added the kill.exe function from msysgit.
    Removed the strtoull compat function from kill.exe (no longer
    nessesary with new support).
    Removed newlib.h from kbless patch (was not used anywhere).
    Removed the unicode function wrappers from kbless patch since atleast
    gcc 3.4.4 and later cannot compile it,
    besides it seems to work just as well without them.
    Added nl_langinfo support (experimental may remove if it behaves
    abnormally).
    Fixed a few weak exports from msys pthread functions.
    Fixed a bunch of stuff to allow compiling the msys dll with gcc
    version 4 (cygcheck still links to libstdc++ investigating why).
    Changed a few math functions from newlib to use _Ulong instead of
    _uint32_t (cygwin 1.5).

    Big thanks to kbless for the initiall patch it helped a lot.

    The folder inside this archive contains a batch script + some tools
    needed to patch an unmodified source dir
    from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive.
    besides unpacking the source its all automated so it should be pretty
    straight forward.

    unpack this archive somewhere and extract the source directory from
    the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive,
    to where you unpacked this. Now run patcher.bat (just doubleclick it)
    and follow the directions.
    Now unpack msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma where you want
    to build it and replace the source dir inside it with the patched one
    from here.
    Open an msys shell (you need the msysdev package) and be sure its set
    to MSYS. Cd to the dir where the builddir is and run
    ./msysrlsbld. When done you should have a bunch of tar archives and an
    nstl directory. Close the msys shell and copy the contents of the nstl dir
    to where your msys is installed. Open a shell again and try building
    something with multibyte support.

    Revelator


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mingw/bugs/1700/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Issues: #1700

  • Earnie Boyd
    Earnie Boyd
    2013-02-11

    • resolution: none --> rejected
     
  • ralph engels
    ralph engels
    2013-02-12

    Must have misunderstood then i thought you wanted it as a plain text
    file ? do you refer to the last one.
    if you refer to my patcher its because i foolishly used astyle to format
    the sources so it wont apply cleanly
    to an unmodified version. Ill do a git version old one was just made
    with plain diff.exe from msys itself.

    Den 11-02-2013 13:23, Earnie Boyd skrev:

    The file you attached isn't a patch. Please use git to create a diff
    file for the repository at
    https://sourceforge.net/p/mingw/msys-runtime/ci/77f2469b25911ceebae6741cbd2fa1b0ff6b1d6e/tree/
    so that we can apply it properly.


    [bugs:#1700] http://sourceforge.net/p/mingw/bugs/1700/ basic
    unicode support patch for msys-1.18-1

    Status: assigned
    Labels: unicode locale code page
    Created: Thu Feb 07, 2013 09:05 PM UTC by ralph engels
    Last Updated: Sat Feb 09, 2013 07:14 PM UTC
    Owner: Cesar Strauss

    Based on kbless basic unicode support patchset from msysgit, Credits
    for the initial work belongs to him.

    Changes.
    Rearranged some of the new api headers because of build problems
    otherwise.
    Changed newlibs local.h to not include wchar.h because its not
    imported correctly that early in the build and causes errors
    with mbstate_t not being defined properly. Moved a local copy of the
    wchar.h contents to local.h instead.
    Added stdint.h and inttypes.h from cygwin 1.5 and fixed guards so the
    inttypes dont conflict with the ones in sys/types.h and machine/types.h .
    Added network interfaces from cygwin 1.5.
    Added strtoll and strtoull from cygwin 1.5.
    Added the kill.exe function from msysgit.
    Removed the strtoull compat function from kill.exe (no longer
    nessesary with new support).
    Removed newlib.h from kbless patch (was not used anywhere).
    Removed the unicode function wrappers from kbless patch since atleast
    gcc 3.4.4 and later cannot compile it,
    besides it seems to work just as well without them.
    Added nl_langinfo support (experimental may remove if it behaves
    abnormally).
    Fixed a few weak exports from msys pthread functions.
    Fixed a bunch of stuff to allow compiling the msys dll with gcc
    version 4 (cygcheck still links to libstdc++ investigating why).
    Changed a few math functions from newlib to use _Ulong instead of
    _uint32_t (cygwin 1.5).

    Big thanks to kbless for the initiall patch it helped a lot.

    The folder inside this archive contains a batch script + some tools
    needed to patch an unmodified source dir
    from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive.
    besides unpacking the source its all automated so it should be pretty
    straight forward.

    unpack this archive somewhere and extract the source directory from
    the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive,
    to where you unpacked this. Now run patcher.bat (just doubleclick it)
    and follow the directions.
    Now unpack msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma where you want
    to build it and replace the source dir inside it with the patched one
    from here.
    Open an msys shell (you need the msysdev package) and be sure its set
    to MSYS. Cd to the dir where the builddir is and run
    ./msysrlsbld. When done you should have a bunch of tar archives and an
    nstl directory. Close the msys shell and copy the contents of the nstl dir
    to where your msys is installed. Open a shell again and try building
    something with multibyte support.

    Revelator


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mingw/bugs/1700/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Issues: #1700

    • Earnie Boyd
      Earnie Boyd
      2013-02-12

      I want you to git clone the repository, make your changes, do a git diff to create the patch file and then attach that as a plain text file. And please call it .patch or .diff without a .txt extension.

       
    • Keith Marshall
      Keith Marshall
      2013-02-12

      ... old one was just made with plain diff.exe from msys itself.

      It's not apparent that this is so -- it isn't in any format that diff.exe would have created.

      If you are going to use diff.exe, then you must use either the -c, or better the -u option, so that the generated diff is in a format which patch.exe can interpret. Better still would be -- as Earnie has already suggested -- to git clone the repository, and use git diff to generate the patch, (or if you prefer, hg clone it and use hg diff); either of these will create the patch in "diff -u" compatible format, and also leaves you well placed to track your own, and everyone else's changes to the repository code.

      If you are serious about contributing to this project, then you really must learn to use one or other -- or both -- of these tool sets.

       
  • ralph engels
    ralph engels
    2013-02-12

    Ok but then i have to redo everything from scratch so might take a little.

    Btw it was indeed msys own diff i used for creating the patch i used
    diff -Naur source.old source.new >patchname.patch if it looks different
    from normal msys diff output im not sure why ?.

    ill do a checkout of the repository with git though ill probably have to
    do some reading up on how to create patches with it (im more used to svn).

    Revelator

    Den 12-02-2013 13:45, Keith Marshall skrev:

    ... old one was just made with plain diff.exe from msys itself.
    

    It's not apparent that this is so -- it isn't in any format that
    diff.exe would have created.

    If you are going to use diff.exe, then you must use either the -c,
    or better the -u option, so that the generated diff is in a format
    which patch.exe can interpret. Better still would be -- as Earnie has
    already suggested -- to git clone the repository, and use git diff to
    generate the patch, (or if you prefer, hg clone it and use hg diff);
    either of these will create the patch in "diff -u" compatible format,
    and also leaves you well placed to track your own, and everyone
    else's changes to the repository code.

    If you are serious about contributing to this project, then you really
    must learn to use one or other -- or both -- of these tool sets.


    [bugs:#1700] http://sourceforge.net/p/mingw/bugs/1700/ basic
    unicode support patch for msys-1.18-1

    Status: assigned
    Labels: unicode locale code page
    Created: Thu Feb 07, 2013 09:05 PM UTC by ralph engels
    Last Updated: Mon Feb 11, 2013 12:23 PM UTC
    Owner: Cesar Strauss

    Based on kbless basic unicode support patchset from msysgit, Credits
    for the initial work belongs to him.

    Changes.
    Rearranged some of the new api headers because of build problems
    otherwise.
    Changed newlibs local.h to not include wchar.h because its not
    imported correctly that early in the build and causes errors
    with mbstate_t not being defined properly. Moved a local copy of the
    wchar.h contents to local.h instead.
    Added stdint.h and inttypes.h from cygwin 1.5 and fixed guards so the
    inttypes dont conflict with the ones in sys/types.h and machine/types.h .
    Added network interfaces from cygwin 1.5.
    Added strtoll and strtoull from cygwin 1.5.
    Added the kill.exe function from msysgit.
    Removed the strtoull compat function from kill.exe (no longer
    nessesary with new support).
    Removed newlib.h from kbless patch (was not used anywhere).
    Removed the unicode function wrappers from kbless patch since atleast
    gcc 3.4.4 and later cannot compile it,
    besides it seems to work just as well without them.
    Added nl_langinfo support (experimental may remove if it behaves
    abnormally).
    Fixed a few weak exports from msys pthread functions.
    Fixed a bunch of stuff to allow compiling the msys dll with gcc
    version 4 (cygcheck still links to libstdc++ investigating why).
    Changed a few math functions from newlib to use _Ulong instead of
    _uint32_t (cygwin 1.5).

    Big thanks to kbless for the initiall patch it helped a lot.

    The folder inside this archive contains a batch script + some tools
    needed to patch an unmodified source dir
    from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive.
    besides unpacking the source its all automated so it should be pretty
    straight forward.

    unpack this archive somewhere and extract the source directory from
    the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive,
    to where you unpacked this. Now run patcher.bat (just doubleclick it)
    and follow the directions.
    Now unpack msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma where you want
    to build it and replace the source dir inside it with the patched one
    from here.
    Open an msys shell (you need the msysdev package) and be sure its set
    to MSYS. Cd to the dir where the builddir is and run
    ./msysrlsbld. When done you should have a bunch of tar archives and an
    nstl directory. Close the msys shell and copy the contents of the nstl dir
    to where your msys is installed. Open a shell again and try building
    something with multibyte support.

    Revelator


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mingw/bugs/1700/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Issues: #1700

    • Keith Marshall
      Keith Marshall
      2013-02-12

      Btw it was indeed msys own diff i used for creating the patch i used
      diff -Naur source.old source.new >patchname.patch if it looks different
      from normal msys diff output im not sure why ?.

      Perhaps you attached the wrong file? The unicode-wrappers.txt file you uploaded bears no resemblance to anything that "diff -Naur ..." would ever have produced.

       
  • ralph engels
    ralph engels
    2013-02-12

    Ah (facepalm) i thought you ment the first one from my patcher.
    Aye the other one was just done with notpad++ since i misunderstood your
    request i took text file literally.
    Maybe my msys diff.exe needs updating since i noticed a strange
    difference when using the diff.exe from msysgit
    the resulting patch against trunk works cleanly though it also applies
    all the formatting from astyle, and it gets rather big "allmost 50 mb".
    The result works like a charm though but its not really easy to use to
    keep track of my changes since it modifies the entire source. Ill see
    what i can do.

    Den 12-02-2013 15:11, Keith Marshall skrev:

    Btw it was indeed msys own diff i used for creating the patch i used
    diff -Naur source.old source.new >patchname.patch if it looks
    different
    from normal msys diff output im not sure why ?.
    

    Perhaps you attached the wrong file? The unicode-wrappers.txt file you
    uploaded bears no resemblance to anything that "diff -Naur ..." would
    ever have produced.


    [bugs:#1700] http://sourceforge.net/p/mingw/bugs/1700/ basic
    unicode support patch for msys-1.18-1

    Status: assigned
    Labels: unicode locale code page
    Created: Thu Feb 07, 2013 09:05 PM UTC by ralph engels
    Last Updated: Mon Feb 11, 2013 12:23 PM UTC
    Owner: Cesar Strauss

    Based on kbless basic unicode support patchset from msysgit, Credits
    for the initial work belongs to him.

    Changes.
    Rearranged some of the new api headers because of build problems
    otherwise.
    Changed newlibs local.h to not include wchar.h because its not
    imported correctly that early in the build and causes errors
    with mbstate_t not being defined properly. Moved a local copy of the
    wchar.h contents to local.h instead.
    Added stdint.h and inttypes.h from cygwin 1.5 and fixed guards so the
    inttypes dont conflict with the ones in sys/types.h and machine/types.h .
    Added network interfaces from cygwin 1.5.
    Added strtoll and strtoull from cygwin 1.5.
    Added the kill.exe function from msysgit.
    Removed the strtoull compat function from kill.exe (no longer
    nessesary with new support).
    Removed newlib.h from kbless patch (was not used anywhere).
    Removed the unicode function wrappers from kbless patch since atleast
    gcc 3.4.4 and later cannot compile it,
    besides it seems to work just as well without them.
    Added nl_langinfo support (experimental may remove if it behaves
    abnormally).
    Fixed a few weak exports from msys pthread functions.
    Fixed a bunch of stuff to allow compiling the msys dll with gcc
    version 4 (cygcheck still links to libstdc++ investigating why).
    Changed a few math functions from newlib to use _Ulong instead of
    _uint32_t (cygwin 1.5).

    Big thanks to kbless for the initiall patch it helped a lot.

    The folder inside this archive contains a batch script + some tools
    needed to patch an unmodified source dir
    from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive.
    besides unpacking the source its all automated so it should be pretty
    straight forward.

    unpack this archive somewhere and extract the source directory from
    the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive,
    to where you unpacked this. Now run patcher.bat (just doubleclick it)
    and follow the directions.
    Now unpack msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma where you want
    to build it and replace the source dir inside it with the patched one
    from here.
    Open an msys shell (you need the msysdev package) and be sure its set
    to MSYS. Cd to the dir where the builddir is and run
    ./msysrlsbld. When done you should have a bunch of tar archives and an
    nstl directory. Close the msys shell and copy the contents of the nstl dir
    to where your msys is installed. Open a shell again and try building
    something with multibyte support.

    Revelator


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mingw/bugs/1700/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Issues: #1700

  • ralph engels
    ralph engels
    2013-02-12

    Redid everything and applied it to a fresh checkout from the repo and it patches and compiles as it should. I used normal msys diff since im not yet to comfortable with making upstream patches with git hope thats ok.

     
    • Earnie Boyd
      Earnie Boyd
      2013-02-13

      Please exclude any autotool generated files such as the Makefile.in created from Makefile.am. Please ensure that you've not changed the line endings.

       
  • ralph engels
    ralph engels
    2013-02-13

    Line endings should be ok patch does not complain (atleast not here).
    Hmm i guess you want me to include the stuff in the autotool process
    since you want me to skip makefile.in ?
    thats ok but i might need a little help since im no autotool guru.
    Only files changed are the new ones + a few that had to be modified to
    allow it to build, there formatting might differ a little but they apply
    cleanly.

    Den 13-02-2013 03:54, Earnie Boyd skrev:

    Please exclude any autotool generated files such as the Makefile.in
    created from Makefile.am. Please ensure that you've not changed the
    line endings.


    [bugs:#1700] http://sourceforge.net/p/mingw/bugs/1700/ basic
    unicode support patch for msys-1.18-1

    Status: assigned
    Labels: unicode locale code page
    Created: Thu Feb 07, 2013 09:05 PM UTC by ralph engels
    Last Updated: Tue Feb 12, 2013 08:32 PM UTC
    Owner: Cesar Strauss

    Based on kbless basic unicode support patchset from msysgit, Credits
    for the initial work belongs to him.

    Changes.
    Rearranged some of the new api headers because of build problems
    otherwise.
    Changed newlibs local.h to not include wchar.h because its not
    imported correctly that early in the build and causes errors
    with mbstate_t not being defined properly. Moved a local copy of the
    wchar.h contents to local.h instead.
    Added stdint.h and inttypes.h from cygwin 1.5 and fixed guards so the
    inttypes dont conflict with the ones in sys/types.h and machine/types.h .
    Added network interfaces from cygwin 1.5.
    Added strtoll and strtoull from cygwin 1.5.
    Added the kill.exe function from msysgit.
    Removed the strtoull compat function from kill.exe (no longer
    nessesary with new support).
    Removed newlib.h from kbless patch (was not used anywhere).
    Removed the unicode function wrappers from kbless patch since atleast
    gcc 3.4.4 and later cannot compile it,
    besides it seems to work just as well without them.
    Added nl_langinfo support (experimental may remove if it behaves
    abnormally).
    Fixed a few weak exports from msys pthread functions.
    Fixed a bunch of stuff to allow compiling the msys dll with gcc
    version 4 (cygcheck still links to libstdc++ investigating why).
    Changed a few math functions from newlib to use _Ulong instead of
    _uint32_t (cygwin 1.5).

    Big thanks to kbless for the initiall patch it helped a lot.

    The folder inside this archive contains a batch script + some tools
    needed to patch an unmodified source dir
    from the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive.
    besides unpacking the source its all automated so it should be pretty
    straight forward.

    unpack this archive somewhere and extract the source directory from
    the msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma archive,
    to where you unpacked this. Now run patcher.bat (just doubleclick it)
    and follow the directions.
    Now unpack msysCORE-1.0.18-1-msys-1.0.18-src.tar.lzma where you want
    to build it and replace the source dir inside it with the patched one
    from here.
    Open an msys shell (you need the msysdev package) and be sure its set
    to MSYS. Cd to the dir where the builddir is and run
    ./msysrlsbld. When done you should have a bunch of tar archives and an
    nstl directory. Close the msys shell and copy the contents of the nstl dir
    to where your msys is installed. Open a shell again and try building
    something with multibyte support.

    Revelator


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mingw/bugs/1700/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Issues: #1700

  • As a reference, all "msysgit" patches against upstream MSYS are available as patch files here:

    https://github.com/sschuberth/mingwGitDevEnv-packages/tree/master/msys-core

    Specifically, Karsten's original patch is at:

    https://github.com/sschuberth/mingwGitDevEnv-packages/blob/master/msys-core/0013-msys.dll-basic-Unicode-support.patch

    In order to more easily track which "msysgit" patches made it upstream I think it would be a good idea to do a "git am" with the above patch and then apply Ralph's changes on top of it in a new commit.

    Also, there's one more outstanding pull request from Karsten at

    https://github.com/msysgit/msysgit/pull/41

    I'm not sure how much of this is also contained in Ralph's patch.

    Earnie, are you sure that winsup/cygwin/Makefile.in is auto-generated? If so, why is it committed to your Git repository in the first place?

     
    Last edit: Sebastian Schuberth 2013-08-20
    • Keith Marshall
      Keith Marshall
      2013-05-02

      Earnie, are you sure that winsup/cygwin/Makefile.in is auto-generated?

      Perhaps Earnie had a "senior moment"? There's no Makefile.am, nor other evidence that automake is used on this project, so Makefile.in would seem to be hand-crafted source, from which Makefile itself is generated. Thus...

      If so, why is it committed to your Git repository in the first place?

      ...it needs to be there, because it is the top level source.

       
  • Earnie Boyd
    Earnie Boyd
    2013-05-07

    SF Failed to deliver the message for some reason. We're supposed be able to reply by email to these tickets.

    On Thu, May 2, 2013 at 7:23 AM, Keith Marshall wrote:

    Earnie, are you sure that winsup/cygwin/Makefile.in is auto-generated?

    Perhaps Earnie had a "senior moment"? There's no Makefile.am, nor other evidence that automake is used on this project, so Makefile.in would seem to be hand-crafted source, from which Makefile itself is generated. Thus...

    I turn 60 after the USA Thanksgiving holiday this year, I'm allowed at
    least one of those a month. Yes, not sure what I was thinking, memory
    is fading ...

    If so, why is it committed to your Git repository in the first place?

    ...it needs to be there, because it is the top level source.

    Certainly.

    --
    Earnie